## gxmms2 0.7.0+git20090608

=== debian/changelog ===
gxmms2 (0.7.0+git20090608-3) unstable; urgency=low

  * Add DrNo.patch for compatibility to xmms2 0.7DrNo.
  * Drop topgit and use DEP-3 header for patches.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Switch to dh 7.
  * Recommend xmms2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Feb 2010 01:55:29 +0100

gxmms2 (0.7.0+git20090608-2) unstable; urgency=low

  * Update debian/watch file.
  * debian/copyright: Correct "Format:" to "Format-Specification:".
  * Add debian/README.source.
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Allow uploads done by Debian Maintainers.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 12 Sep 2009 11:03:29 +0200

gxmms2 (0.7.0+git20090608-1) unstable; urgency=high

  * New upstream snapshot.
    + Compatible to xmms2 0.6DrMattDestruction (Closes: #529751, #529283,
      #533980, LP: #394938).
  * debian/control:
    + split Build-Depends line
    + added myself to uploaders
  * Added debian/gxmms2.desktop and add xmms2-icon to Depends
    (Closes: #411116).
  * Bump Standard-Version to 3.8.2, no changes needed.
  * Switch to cdbs and debhelper 7.
  * Use Topgit and quilt to manage patches.
  * gxmms2src/gxmms2.c: Do not assume that the volume control has a left
    channel (fixes muting of playback on launch).
  * Add debian/watch file.
  * Update debian/copyright to use the format described in DEP 5.
  * Extend gxmms2 package description.
  * Wrote manual page for gxmms2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Aug 2009 15:13:05 +0200

gxmms2 (0.7.0-2) unstable; urgency=low

  * Be compatible with xmms2 DrLecter.
    + Cherry-pick 791f33: Updated to be compatible with the latest XMMS2 API
      change.
    + Also fixes some compiletime warnings.
    + Build-Depend on DrL.
  * Bump Standards-Version to 3.8.0 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Thu, 10 Jul 2008 15:44:24 +0200

gxmms2 (0.7.0-1) unstable; urgency=low

  [ Anders Waldenborg ]
  * New upstream release.
  * Add Vcs-* fields.
  * Add myself to uploaders.

  [ Florian Ragwitz ]
  * Don't ignore errors on make clean.
  * Remove dependency to libxmmsclient-dev as libxmmsclient-glib-dev already
    pulls that in.
  * Update Standards-Version to 3.7.3 (no changes).
  * Add the Homepage field.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 27 Feb 2008 09:50:54 +0100

gxmms2 (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Wed,  4 Oct 2006 21:35:23 +0200

gxmms2 (0.6.3-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 23 Aug 2006 22:35:22 +0200
