=== debian/control ===
Source: gxmms2
Section: sound
Priority: optional
Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               gkrellm,
               libgtk2.0-dev,
               libxmmsclient-glib-dev (>= 0.7DrNo),
               pkg-config
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-xmms2/gxmms2
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/gxmms2.git
Homepage: http://wejp.k.vu/projects/xmms2/

Package: gxmms2
Architecture: any
Depends: xmms2-icon, ${shlibs:Depends}, ${misc:Depends}
Recommends: xmms2
Description: XMMS2 client for the GNOME desktop
 gxmms2 is a GTK2-based XMMS2 client, written in C. Its main window is small and
 simple. It includes a playlist editor with a medialib search and an artist
 browser and a file information dialog.

Package: gkrellxmms2
Recommends: xmms2
Architecture: any
Depends: gkrellm, ${shlibs:Depends}, ${misc:Depends}
Description: GKrellM plugin to control xmms2
 gkrellxmms2 is a plugin for GKrellM2, written in C, to control the XMMS2 audio
 player. It supports basic controls such as play, pause, skip etc. and it has
 an integrated playlist editor with a media library search and browser.
