## gxmms2 0.7.1

=== Makefile ===
--- 
+++ 
@@ -11,26 +11,27 @@
 XMMS2_CFLAGS=$(shell pkg-config xmms2-client xmms2-client-glib --cflags)
 XMMS2_LIB=$(shell pkg-config xmms2-client xmms2-client-glib --libs)
 
-CFLAGS=-O2 -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I.
-LIBS=$(GTK_LIB) $(XMMS2_LIB)
+CFLAGS ?= -O2
+CFLAGS := -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I. $(CFLAGS)
+LIBS = $(GTK_LIB) $(XMMS2_LIB)
 
 KRELLLFLAGS=-shared
 
-CC=gcc
+CC ?= gcc
 
 OBJS=gxmms2src/gxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmlplaylist.o gmedialib/gmedialib.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gxmms2src/wejpscroller.o gxmms2src/statusdisplay.o gxmms2src/wejpvolume.o gxmms2src/wejpconfig.o gxmms2src/eggtrayicon.o
 
-KRELLOBJS=gkrellxmms2/gkrellxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmedialib.o gmedialib/gmlplaylist.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gkrellxmms2/buttons.o
+KRELLOBJS=gkrellxmms2/gkrellxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmedialib.o gmedialib/gmlplaylist.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gkrellxmms2/buttons.o gkrellxmms2/setupwidget.o
 
 PROJNAME=gxmms2-$(shell awk '/define VERSION_NUMBER/ { print $$3 }' gxmms2src/gxmms2.c )
 
 all: gxmms2 gkrellxmms2
 
 gxmms2: $(OBJS)
-	$(CC) $(OBJS) -o gxmms2 $(LIBS)
+	$(CC) $(LDFLAGS) $(OBJS) -o gxmms2 $(LIBS)
 
 gkrellxmms2: $(KRELLOBJS)
-	$(CC) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)
+	$(CC) $(LDFLAGS) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)
 
 dist:
 	-rm -rf $(PROJNAME)
