=== debian/changelog ===
gxmms2 (0.7.1-3build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:51:34 -0500

gxmms2 (0.7.1-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:36 +0000

gxmms2 (0.7.1-3) unstable; urgency=low

  * Update my email address.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9 and enable hardening.
  * Update machine-readable copyright Format to 1.0.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 21 Mar 2013 19:15:09 +0100

gxmms2 (0.7.1-2) unstable; urgency=low

  * Link against X11, because gxmms2src/eggtrayicon.c uses X11 functions.
    This fixes the FTBFS with binutils-gold. (Closes: #554764)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 03 Dec 2010 17:52:02 +0100

gxmms2 (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop DrNo.patch and version-string.patch.
  * Bump Standard-Version to 3.9.1 (no changes required).
  * Update debian/copyright.
  * Fix pointer dereference to not sets the initial volume. (Closes: #546594)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 13 Sep 2010 02:32:18 +0200
