=== debian/rules ===
#!/usr/bin/make -f

# Do not link against unused libraries (make dpkg-shlibdeps happy).
LDFLAGS := -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	make install PREFIX=$(CURDIR)/debian/tmp/usr KRELLPREFIX=$(CURDIR)/debian/tmp/usr
