=== debian/watch ===
version=3
http://wejp.k.vu/projects/xmms2/gxmms2 .*gxmms2-(.*)\.tar\.gz
